#ifndef EFL_GFX_IMAGE_ANIMATION_CONTROLLER_IMPL_HH
#define EFL_GFX_IMAGE_ANIMATION_CONTROLLER_IMPL_HH

#include "efl_gfx_image_animation_controller.eo.hh"

namespace efl { namespace gfx { 
inline ::efl::eolian::return_traits<bool>::type Image_Animation_Controller::animated_get() const
{
   Eina_Bool __return_value =  ::efl_gfx_image_animated_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Image_Animation_Controller::animated_frame_get() const
{
   int __return_value =  ::efl_gfx_image_animated_frame_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Image_Animation_Controller::animated_frame_set( ::efl::eolian::in_traits<int>::type frame_index) const
{
   Eina_Bool __return_value =  ::efl_gfx_image_animated_frame_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(frame_index));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Image_Animation_Controller::animated_frame_count_get() const
{
   int __return_value =  ::efl_gfx_image_animated_frame_count_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<Efl_Gfx_Image_Animation_Controller_Loop_Hint>::type Image_Animation_Controller::animated_loop_type_get() const
{
   Efl_Gfx_Image_Animation_Controller_Loop_Hint __return_value =  ::efl_gfx_image_animated_loop_type_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Gfx_Image_Animation_Controller_Loop_Hint>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Image_Animation_Controller::animated_loop_count_get() const
{
   int __return_value =  ::efl_gfx_image_animated_loop_count_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<double>::type Image_Animation_Controller::animated_frame_duration_get( ::efl::eolian::in_traits<int>::type start_frame,  ::efl::eolian::in_traits<int>::type frame_num) const
{
   double __return_value =  ::efl_gfx_image_animated_frame_duration_get(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(start_frame)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(frame_num));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace efl { namespace gfx { 
inline ::efl::eolian::return_traits<bool>::type Image_Animation_Controller::animated_get() const
{
   Eina_Bool __return_value =  ::efl_gfx_image_animated_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Image_Animation_Controller::animated_frame_get() const
{
   int __return_value =  ::efl_gfx_image_animated_frame_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Image_Animation_Controller::animated_frame_set( ::efl::eolian::in_traits<int>::type frame_index) const
{
   Eina_Bool __return_value =  ::efl_gfx_image_animated_frame_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(frame_index));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Image_Animation_Controller::animated_frame_count_get() const
{
   int __return_value =  ::efl_gfx_image_animated_frame_count_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<Efl_Gfx_Image_Animation_Controller_Loop_Hint>::type Image_Animation_Controller::animated_loop_type_get() const
{
   Efl_Gfx_Image_Animation_Controller_Loop_Hint __return_value =  ::efl_gfx_image_animated_loop_type_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<Efl_Gfx_Image_Animation_Controller_Loop_Hint>::type>(__return_value);
}
inline ::efl::eolian::return_traits<int>::type Image_Animation_Controller::animated_loop_count_get() const
{
   int __return_value =  ::efl_gfx_image_animated_loop_count_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<double>::type Image_Animation_Controller::animated_frame_duration_get( ::efl::eolian::in_traits<int>::type start_frame,  ::efl::eolian::in_traits<int>::type frame_num) const
{
   double __return_value =  ::efl_gfx_image_animated_frame_duration_get(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(start_frame)
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(frame_num));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline efl::gfx::Image_Animation_Controller::operator ::efl::gfx::Image_Animation_Controller() const { return *static_cast< ::efl::gfx::Image_Animation_Controller const*>(static_cast<void const*>(this)); }
inline efl::gfx::Image_Animation_Controller::operator ::efl::gfx::Image_Animation_Controller&() { return *static_cast< ::efl::gfx::Image_Animation_Controller*>(static_cast<void*>(this)); }
inline efl::gfx::Image_Animation_Controller::operator ::efl::gfx::Image_Animation_Controller const&() const { return *static_cast< ::efl::gfx::Image_Animation_Controller const*>(static_cast<void const*>(this)); }
} } }
#endif
